Package org.apache.sling.auth.saml2

## Class Helpers

- java.lang.Object
- - org.apache.sling.auth.saml2.Helpers

    public class Helpers
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `buildSAMLObject​(Class<T> clazz)`
`static String` `generateSecureRandomId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildSAMLObject

    public static <T> T buildSAMLObject​(Class<T> clazz)

#### generateSecureRandomId

    public static String generateSecureRandomId()